
#ifndef _NEWVT_H
#define _NEWVT_H
/* newvt */
#include <stdio.h>
#include <math.h>
#include <string.h>
#include <fcntl.h>
#ifndef NORESIZE
#include <signal.h>
#include <termio.h>
#endif

#ifdef NORESIZE
#undef VERSION
#undef AUTHOR
#undef TITLE
#define VERSION "v1.1-NR, Nov 1994"
#else
#define VERSION "v1.1-R, Nov 1994"
#endif
#define AUTHOR  "Joseph Zbiciak"
#define TITLE   "VT-100 Graphics Library"
#define S_DIRECT 0
#define S_DUMB   1
#define S_SMART  2
#define S_DELTA  3
#define S_SMARTB 4
#define S_DELTAB 5

extern unsigned char * screen;  /* screen display array */
extern unsigned char * oscreen; /* previous display page.  (used by update for efficient updates) */
extern int need_resize, can_resize;
extern int width, height, whsize; /* display dimensions */
extern int showstats; /* whether to show status info */
extern int frame, bytes;
extern cx,cy;

#define XPARENT 1

#define go(x,y) bytes+=printf("\033[%d;%dH",cx=(x),cy=(y)) 

int sgo(char * result,int sx,int sy,int x, int y);
void supdate(void);
void srefresh(void);
void sdump(void);
int box(char c, int ulx, int uly, int lrx, int lry);
int clearbox(char c,int ulx, int uly, int lrx, int lry);
void vline(char c, int col, int s, int e);
void hline(char c, int row, int s, int e);
void bresenham_line(int x, int y, int x2, int y2, char c);
void bresenham_circle(int xc, int yc, int r, char c);
#define line(a,b,c,d,e)  bresenham_line((c)-1,(b)-1,(e)-1,(d)-1,(a))
#define circle(a,b,c,d)  bresenham_circle((b),(c),(d),(a))
void putpixel(int x, int y, char c);
#define putpixel_(x,y,c) if (((c)==XPARENT||(x)<0||(y)<0||(x)>=width||(y)>=height)) ; else screen[(x)+(y)*width]=(c)
#define putpixel(x,y,c) if ((c)!=XPARENT) screen[(x)+(y)*width]=(c)
#define putpixel2(x,y,c) screen[(x)+(y)*width]=(c)
#define plotdot(x,y,c) putpixel_(x,y,c)
void setmode(int i);
void initscreen(int w, int h, int st);
void closescreen(void);
#ifndef NORESIZE
void vt_sig_winch(int sig);
#endif


#endif
/* ======================================================================== */
/*  Please see the file "COPYING" for the complete GNU GPL License.         */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       */
/*  General Public License for more details.                                */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               */
/* ======================================================================== */
/*                 Copyright (c) 1995-2000, Joseph Zbiciak                  */
/* ======================================================================== */
