/* Pac-Man for Terminals */

#ifndef _PACMAN_H_
#define _PACMAN_H_

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fcntl.h>
#include <sys/time.h>
#include <sys/times.h>
#include <termios.h>
#include "newvt.h"


#define LM          15
#define RM          15
#define TM          4
#define BM          0

#define MAX_X       64
#define MAX_Y       64
#define MAXGHOSTS   10
#define MAXPOWER    10
#define NUMPLAYERS  1
#define NUMLEVELS   5
#define LIVES       4

#define DOT   '.'
#define SPACE ' '
#define POWER '*'
#define DOT_SCORE   10
#define POWER_SCORE 50
#define GHOST_SCORE 200

#define MPS 10
#define DELAY (CLOCKS_PER_SEC/MPS)
#define MEMORY 8

#if !defined(abs) 
static inline const int abs(const int a) { return a<0?-a:a; }
#endif


#ifdef _PACMAN_C_

char * logo []=
{
" ___       _                 ",
" |  \\ /\\  / \\   |\\/| /\\ |\\ | ",
" |  /|  |(  < O |  ||  || \\| ",
" |_| |__| \\_/   |__||__||__| "
};

int hi_score=0;
int up;  /* Player up:  0=1up or 1=2up */
const int dx[5]={0,0,0,-1,1};
const int dy[5]={0,-1,1,0,0};
const char *passible = "O *.";

#else 

extern char *logo[];
extern int hi_score;
extern int up;
extern const int dx[],dy[];
extern const char *passible;

#endif






#endif /*_PACMAN_H_*/
/* ======================================================================== */
/*  Please see the file "COPYING" for the complete GNU GPL License.         */
/*                                                                          */
/*  This program is free software; you can redistribute it and/or modify    */
/*  it under the terms of the GNU General Public License as published by    */
/*  the Free Software Foundation; either version 2 of the License, or       */
/*  (at your option) any later version.                                     */
/*                                                                          */
/*  This program is distributed in the hope that it will be useful,         */
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of          */
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU       */
/*  General Public License for more details.                                */
/*                                                                          */
/*  You should have received a copy of the GNU General Public License       */
/*  along with this program; if not, write to the Free Software             */
/*  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.               */
/* ======================================================================== */
/*                 Copyright (c) 1995-2000, Joseph Zbiciak                  */
/* ======================================================================== */
